#include "mainwindow.h"

#include <QApplication>
#include <QMessageBox>
#include <QSqlDatabase>
#include <QSqlError>


static bool createConnection()
{
    QSqlDatabase db = QSqlDatabase::addDatabase("QODBC3");
    db.setDatabaseName("MyTableViewTest");

    if (!db.open()) {
        QMessageBox::critical(nullptr, QObject::tr("Cannot open database"),
            QObject::tr("Unable to establish a database connection.\n"
                        "Click Cancel to exit."), QMessageBox::Cancel);
        return false;
    }

    return true;
}


int main(int argc, char *argv[]) {
    QApplication a(argc, argv);

    if (!createConnection())
        return EXIT_FAILURE;



    MainWindow w;
    w.show();
    return a.exec();
}
